
Name:           libpasastro
Version:        1.4.3
Release:        %mkrel 2
Summary:        Pascal interface for standard astronomy libraries
Group:          Sciences/Astronomy
License:        GPL-2.0-or-later AND LGPL-2.1-only AND BSD-3-Clause
URL:            https://sourceforge.net/projects/libpasastro/
Source0:        https://github.com/pchev/libpasastro/archive/v%{version}/libpasastro-%{version}.tar.gz

# Patch to fix stripping and permissions of library files
# Since this is Fedora specific we don't ask upstream to include
Patch0:         libpasastro-1.0-fix-install.patch
Patch1:         fix_gcc15-c++23.patch

Provides:       libpasgetdss = %{version}
Provides:       libpasplan404 = %{version}
Provides:       libpaswcs = %{version}

%description
Libpasastro provides shared libraries to interface Pascal program 
with standard astronomy libraries.
libpasgetdss.so : Interface with GetDSS to work with DSS images.
libpasplan404.so : Interface with Plan404 to compute planets position.
libpaswcs.so : Interface with libwcs to work with FITS WCS.

%prep
%autosetup -p1

# do not install docs, use %%doc macro
sed -i '/\$destdir\/share/d' ./install.sh

# fix library path in install.sh script on 64bit
sed -i 's/\$destdir\/lib/\$destdir\/%{_lib}/g' ./install.sh

%build
%make_build arch_flags="%{optflags}"

%install
%make_install PREFIX=%{buildroot}%{_prefix}

%files
%doc changelog copyright README.md
%{_libdir}/libpas*.so.1{,.*}


%changelog
* Fri May 16 2025 ns80 <ns80> 1.4.3-2.mga10
+ Revision: 2183928
- add a patch from Fedora to try to fix building with GCC 15

* Thu Jan 30 2025 daviddavid <daviddavid> 1.4.3-1.mga10
+ Revision: 2143529
- new version: 1.4.3

* Fri Oct 18 2024 ns80 <ns80> 1.4.2-2.mga10
+ Revision: 2108020
- try to fix building with GCC 14

* Tue Feb 20 2024 daviddavid <daviddavid> 1.4.2-1.mga10
+ Revision: 2042579
- new version: 1.4.2

* Tue Mar 15 2022 umeabot <umeabot> 1.4.1-2.mga9
+ Revision: 1793741
- Mageia 9 Mass Rebuild

* Sat Dec 04 2021 joequant <joequant> 1.4.1-1.mga9
+ Revision: 1760665
- update to 1.4.1

* Wed Jun 10 2020 joequant <joequant> 1.3.0-1.mga8
+ Revision: 1591851
- update to 1.3.0
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.1-2.mga8
+ Revision: 1517317
- Mageia 8 Mass Rebuild

* Mon Oct 01 2018 joequant <joequant> 1.1-1.mga7
+ Revision: 1314420
- update to 1.1

* Sun Sep 23 2018 umeabot <umeabot> 1.0-2.mga7
+ Revision: 1299084
- Mageia 7 Mass Rebuild

* Tue Aug 01 2017 joequant <joequant> 1.0-1.mga7
+ Revision: 1133824
- fix group
- imported package libpasastro

